<?php 

/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {

	// This gets the theme name from the stylesheet
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'skt-pathway'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */

function optionsframework_options() {

	define(SKT_THEME_URL,'http://sktthemes.net/');

	// array of section content.
	$section_text = array(
		1 => array(
			'section_title'	=> '<span>PATHWAY :</span> LOREM IPSUM DOLOR SIT AMET CONSECTETUR',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> 'welcome_text',
			'content'		=> '<p>Aliquam semper, magna a posuere faucibus, purus massa cursus ante, semper mollis nisl sapien vitae odio. Sed velit eros, lacinia id libero eu, sagittis vulputate velit. Donec dignissim diam at dictum aliquam. Suspendisse venenatis nibh sit amet egestas scelerisque. Nam hendrerit odio et nibh bibendum posuere. Maecenas ut odio tempor, consectetur metus non, sodales massa.</p><hr /><p>&nbsp;</p><div><img src="'.get_template_directory_uri().'/images/welcome-image.jpg" /></div>'
		),
		2 => array(
			'section_title'	=> 'WHO WE ARE',
			'bgcolor' 		=> '#f6f7f9',
			'bgimage'		=> '',
			'class'			=> 'about_text',
			'content'		=> '<p><img src="'.get_template_directory_uri().'/images/about-image.png" class="alignright">Nunc rhoncus ipsum eget quam vestibulum porttitor. Ut nec arcu eget arcu faucibus iaculis. Donec in tellus ac erat dignissim semper sed vehicula nulla. Vestibulum tortor dolor, egestas eget lectus id, molestie suscipit dolor. Pellentesque consequat et sem nec faucibus. Phasellus libero nunc, elementum ac massa eget, scelerisque aliquam nibh. Curabitur sed placerat eros.</p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut leo augue, posuere id commodo quis, malesuada in justo. Nulla nunc purus, interdum quis imperdiet in, placerat id felis. Duis sodales iaculis mauris. Nam rutrum velit et tincidunt convallis. Donec hendrerit, est at imperdiet mollis, dolor odio vestibulum eros, ut bibendum elit dui vel augue. Quisque malesuada dignissim quam a convallis. Vestibulum lacinia leo ipsum, quis rhoncus metus imperdiet vulputate.</p>'
		),
		3 => array(
			'section_title'	=> '<span>FEATURES</span>',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> 'features',
			'content'		=> '<div class="one_third"><br>
<img src="'.get_template_directory_uri().'/images/serv_01.jpg"><p></p>
<h3>Responsive Design</h3>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes nascetur.</div><div class="one_third">
<img src="'.get_template_directory_uri().'/images/serv_02.jpg">
<h3>Theme Options</h3>
Cum sociis natoque penatibus et magnis dis parturient montes, nascetur. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat.</div><div class="one_third last_column">
<img src="'.get_template_directory_uri().'/images/serv_03.jpg">
<h3>WooCommerce &amp; bbPress supported</h3>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes nascetur.</div>
<div class="one_third"><img src="'.get_template_directory_uri().'/images/serv_04.jpg">
<h3>Column Shortcodes</h3>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes nascetur.</div><div class="one_third">
<img src="'.get_template_directory_uri().'/images/serv_05.jpg">
<h3>Blog Ready</h3>
Cum sociis natoque penatibus et magnis dis parturient montes, nascetur. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. </div><div class="one_third last_column"><img src="'.get_template_directory_uri().'/images/serv_06.jpg">
<h3>Custom Templates</h3>
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes nascetur.</div>'
		),
		4 => array(
			'section_title'	=> '',
			'bgcolor' 		=> '#333333',
			'bgimage'		=> '',
			'class'			=> 'features_more',
			'content'		=> '<h1 class="text-center">AWESOME SUPPORT WITH INCREDIBLE SUPPORT</h1>
            <hr />
           <div class="one_third">
<ul>
<li>Easy Installation &amp; Setup</li>
<li>Fully Customizable Options</li>
<li>Theme comes with demo content</li>
<li>Powerful Theme Options</li>
<li>Set custom background</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
</ul>
</div><div class="one_third">
<ul>
<li>Home page setup very easy</li>
<li>WooCommerce Design Integration</li>
<li>bbPress Forum Design Integration</li>
<li>Top Notch Support Service</li>
<li>Constant Updates &amp; New Features</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
</ul>
</div><div class="one_third last_column">
<ul>
<li>SEO friendly coding</li>
<li>5 custom templates</li>
<li>Blog Widgets</li>
<li>Default Premium Slider</li>
<li>Fully Optimized For Speed</li>
<li>Column Shortcode Options</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
<li>Lorem ipsum dolor sit amet</li>
</ul>
</div>'
		),
		5 => array(
			'section_title'	=> '',
			'bgcolor' 		=> '#a0ce4e',
			'bgimage'		=> '',
			'class'			=> 'buy_theme',
			'content'		=> '<h2><span><a target="_blank" href="'.esc_url('http://sktthemes.net/themes/skt_pathway_pro/').'">BUY PRO VERSION</a></span></h2>'
		),
		6 => array(
			'section_title'	=> 'TESTIMONIALS',
			'bgcolor' 		=> '#ffffff',
			'bgimage'		=> '',
			'class'			=> 'testimonials',
			'content'		=> '<h5 class="lead_text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Proin dignissim eget purus at dapibus. Integer a suscipit velit vivamus id feugiat nibh.</h5>
            <div class="one_third">
<blockquote>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Proin dignissim eget purus at dapibus. Integer a suscipit velit.<span class="bubble"></span></blockquote>
<div class="tm_client"><strong>John Doe,</strong> SKT Theme</div></div><div class="one_third">
<blockquote>Proin dignissim eget purus at dapibus. Integer a suscipit velit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<span class="bubble"></span></blockquote>
<div class="tm_client"><strong>John Doe,</strong> SKT Theme</div></div><div class="one_third last_column">
<blockquote>Proin dignissim eget purus at dapibus. Integer a suscipit velit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus in enim nunc. Aliquam erat volutpat. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.<span class="bubble"></span></blockquote>
<div class="tm_client"><strong>Allan Patrick,</strong> SKT Theme</div></div>'
		),
	);

	$options = array();

	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'skt-pathway'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Logo', 'skt-pathway'),
		'desc' => __('Upload your main logo here', 'skt-pathway'),
		'id' => 'logo',
		'class' => '',
		'std'	=> get_template_directory_uri().'/images/logo.png',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Favicon', 'skt-pathway'),
		'desc' => __('Upload favicon for website', 'skt-pathway'),
		'id' => 'favicon',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/favicon.ico",
		'type' => 'upload');

	$options[] = array(
		'name' => __('Footer Left Copyright Text', 'skt-pathway'),
		'desc' => __('Some text for footer of your site, you would like to display in the footer.', 'skt-pathway'),
		'id' => 'footertext',
		'std' => 'Copyright &copy; 2014 Pathway. Theme by <a href="'.SKT_THEME_URL.'" target="_blank">SKT Themes</a>.',
		'type' => 'textarea');

	$options[] = array(
		'name' => __('Footer Right Links / Text', 'skt-pathway'),
		'desc' => __('Some text for footer of your site, you would like to display in the footer.', 'skt-pathway'),
		'id' => 'footerlinks',
		'std' => '<a href="#">Home</a> | <a href="#">Contact Us</a> | <a href="#">Sitemap</a>',
		'type' => 'textarea');

	$options[] = array(
		'name' => __('Custom CSS', 'skt-pathway'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'skt-pathway'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');


	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'skt-pathway'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Number of Sections', 'skt-pathway'),
		'desc' => __('Select number of sections', 'skt-pathway'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '6',
		'options' => array_combine(range(1,6), range(1,6)) );

	$numsecs = of_get_option( 'numsection', 6 );

	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section</h3>", 'skt-pathway'),
			'class' => 'toggle_title',
			'type' => 'info');	
	
		$options[] = array(
			'name' => __('Section Title', 'skt-pathway'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'skt-parallaxme'),
			'desc' => __('Select background color for section', 'skt-parallaxme'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');

		$options[] = array(
			'name' => __('Section CSS Class', 'skt-pathway'),
			'desc' => __('Set class for this section.', 'skt-pathway'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Content', 'skt-pathway'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}


	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Slider Images', 'skt-pathway'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Slider', 'skt-pathway'),
		'desc' => __('Show / Hide inner page slider', 'skt-pathway'),
		'id' => 'innerpageslider',
		'type' => 'select',
		'std' => 'show',
		'options' => array('show'=>'Show', 'hide'=>'Hide') );

	$options[] = array(
		'name' => __('Slider Image 1', 'skt-pathway'),
		'desc' => __('Upload / select image for slide 1', 'skt-pathway'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slide1.jpg",
		'type' => 'upload');

	$options[] = array(
		'desc' => __('Title 1', 'skt-pathway'),
		'id' => 'slidetitle1',
		'std' => 'Free Business WordPress Theme',
		'type' => 'text');

	$options[] = array(
		'desc' => __('Slide Descrition 1', 'skt-pathway'),
		'id' => 'slidedesc1',
		'std' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut leo augue, posuere id commodo quis, malesuada in justo. Nulla nunc purus, interdum quis imperdiet in, placerat id felis. Duis sodales iaculis mauris.',
		'type' => 'textarea');			
		
	$options[] = array(
		'desc' => __('Link / Url 1', 'skt-pathway'),
		'id' => 'slideurl1',
		'std' => '#link1',
		'type' => 'text',
		'subtype' => 'url');

	$options[] = array(
		'name' => __('Slider Image 2', 'skt-pathway'),
		'desc' => __('Upload / select image for slide 2', 'skt-pathway'),
		'id' => 'slide2',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slide2.jpg",
		'type' => 'upload');

	$options[] = array(
		'desc' => __('Title 2', 'skt-pathway'),
		'id' => 'slidetitle2',
		'std' => 'Fully Responsive WordPress Theme',
		'type' => 'text');

	$options[] = array(
		'desc' => __('Slide Descrition 2', 'skt-pathway'),
		'id' => 'slidedesc2',
		'std' => 'Ut leo augue, posuere id commodo quis, malesuada in justo. Nulla nunc purus, interdum quis imperdiet in, placerat id felis. Duis sodales iaculis mauris. Lorem ipsum dolor sit amet, consectetur adipiscing elit.',
		'type' => 'textarea');			
		
	$options[] = array(
		'desc' => __('Link / Url 2', 'skt-pathway'),
		'id' => 'slideurl2',
		'std' => '#link2',
		'type' => 'text',
		'subtype' => 'url');

	$options[] = array(
		'name' => __('Slider Image 3', 'skt-pathway'),
		'desc' => __('Upload / select image for slide 3', 'skt-pathway'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slide3.jpg",
		'type' => 'upload');

	$options[] = array(
		'desc' => __('Title 3', 'skt-pathway'),
		'id' => 'slidetitle3',
		'std' => 'Easy to Use',
		'type' => 'text');

	$options[] = array(
		'desc' => __('Slide Descrition 3', 'skt-pathway'),
		'id' => 'slidedesc3',
		'std' => 'Nulla nunc purus, interdum quis imperdiet in, placerat id felis. Duis sodales iaculis mauris. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut leo augue,',
		'type' => 'textarea');			
		
	$options[] = array(
		'desc' => __('Link / Url 3', 'skt-pathway'),
		'id' => 'slideurl3',
		'std' => '#link3',
		'type' => 'text',
		'subtype' => 'url');
		
	$options[] = array(
		'name' => __('Slider Image 4', 'skt-pathway'),
		'desc' => __('Upload / select image for slide 4', 'skt-pathway'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');

	$options[] = array(
		'desc' => __('Title 4', 'skt-pathway'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'desc' => __('Slide Descrition 4', 'skt-pathway'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');			
		
	$options[] = array(
		'desc' => __('Link / Url 4', 'skt-pathway'),
		'id' => 'slideurl4',
		'std' => '',
		'type' => 'text',
		'subtype' => 'url');

	$options[] = array(
		'name' => __('Slider Image 5', 'skt-pathway'),
		'desc' => __('Upload / select image for slide 5', 'skt-pathway'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');

	$options[] = array(
		'desc' => __('Title 5', 'skt-pathway'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'desc' => __('Slide Descrition 5', 'skt-pathway'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');			
		
	$options[] = array(
		'desc' => __('Link / Url 5', 'skt-pathway'),
		'id' => 'slideurl5',
		'std' => '',
		'type' => 'text',
		'subtype' => 'url');	


	// Support					
	$options[] = array(
		'name' => __('Our Themes', 'skt-pathway'),
		'type' => 'heading');

	$options[] = array(
		'desc' => __('SKT Pathway WordPress theme has been Designed and Created by SKT Themes.', 'skt-pathway'),
		'type' => 'info');	

	 $options[] = array(
		'desc' => __('<a href="'.SKT_THEME_URL.'" target="_blank"><img src="'.get_template_directory_uri().'/images/sktskill.jpg"></a><p><em><a target="_blank" href="'.esc_url('http://sktthemes.net/themes/skt_pathway_pro/').'">Buy PRO version for only $30 with more features.</a></em></p>', 'skt-pathway'),
		'type' => 'info');	
	
	return $options;
}